<Project Sdk="Microsoft.NET.Sdk.Web">

  <PropertyGroup>
    <TargetFramework>net6.0</TargetFramework>
    <Nullable>enable</Nullable>
    <ImplicitUsings>enable</ImplicitUsings>
    <RootNamespace>WeatherForecast</RootNamespace>
	<GenerateDocumentationFile>true</GenerateDocumentationFile>
	<DefineConstants>TRACE;DEBUG;MOCK_SERVER</DefineConstants>
	<DockerComposeProjectPath>..\docker-compose.dcproj</DockerComposeProjectPath>
	<UserSecretsId>d8b9e93b-44e1-433e-a3be-b19da053fdac</UserSecretsId>
	<DockerDefaultTargetOS>Linux</DockerDefaultTargetOS>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="DomainResult" Version="3.0.0" />
    <PackageReference Include="Microsoft.AspNetCore.Authentication.JwtBearer" Version="6.0.10" />
    <PackageReference Include="Microsoft.VisualStudio.Azure.Containers.Tools.Targets" Version="1.17.0" />
    <PackageReference Include="Serilog.Enrichers.Span" Version="2.3.0" />
	<PackageReference Include="Serilog.Expressions" Version="3.4.1" />
	<PackageReference Include="Serilog.Extensions.Hosting" Version="5.0.1" />
	<PackageReference Include="Serilog.Extensions.Logging" Version="3.1.0" />
	<PackageReference Include="Serilog.Settings.Configuration" Version="3.4.0" />
	<PackageReference Include="Serilog.Sinks.Console" Version="4.1.0" />
    <PackageReference Include="Swashbuckle.AspNetCore" Version="6.4.0" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\Core\Core.csproj" />
    <ProjectReference Include="..\CryptoProvider\CryptoProvider.csproj" />
    <ProjectReference Include="..\DataProviders\DataProviders.csproj" />
    <ProjectReference Include="..\Extensions\Extensions.csproj" />
    <ProjectReference Include="..\ImageProvider\ImageProvider.csproj" />
    <ProjectReference Include="..\Services\FileSecurityService\FileSecurityService.csproj" />
    <ProjectReference Include="..\Services\JWTService\JWTService.csproj" />
  </ItemGroup>

</Project>
